package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class SharedProcessorConfiguration {
    private Metadata metadata;
    private String desiredProcessingUnits;
    private String desiredVirtualProcessors;
    private String maximumProcessingUnits;
    private String maximumVirtualProcessors;
    private String minimumProcessingUnits;
    private String minimumVirtualProcessors;
    private String sharedProcessorPoolID;
    private String uncappedWeight;

    public SharedProcessorConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDesiredProcessingUnits() {
        return desiredProcessingUnits;
    }

    public void setDesiredProcessingUnits(String desiredProcessingUnits) {
        this.desiredProcessingUnits = desiredProcessingUnits;
    }

    public String getDesiredVirtualProcessors() {
        return desiredVirtualProcessors;
    }

    public void setDesiredVirtualProcessors(String desiredVirtualProcessors) {
        this.desiredVirtualProcessors = desiredVirtualProcessors;
    }

    public String getMaximumProcessingUnits() {
        return maximumProcessingUnits;
    }

    public void setMaximumProcessingUnits(String maximumProcessingUnits) {
        this.maximumProcessingUnits = maximumProcessingUnits;
    }

    public String getMaximumVirtualProcessors() {
        return maximumVirtualProcessors;
    }

    public void setMaximumVirtualProcessors(String maximumVirtualProcessors) {
        this.maximumVirtualProcessors = maximumVirtualProcessors;
    }

    public String getMinimumProcessingUnits() {
        return minimumProcessingUnits;
    }

    public void setMinimumProcessingUnits(String minimumProcessingUnits) {
        this.minimumProcessingUnits = minimumProcessingUnits;
    }

    public String getMinimumVirtualProcessors() {
        return minimumVirtualProcessors;
    }

    public void setMinimumVirtualProcessors(String minimumVirtualProcessors) {
        this.minimumVirtualProcessors = minimumVirtualProcessors;
    }

    public String getSharedProcessorPoolID() {
        return sharedProcessorPoolID;
    }

    public void setSharedProcessorPoolID(String sharedProcessorPoolID) {
        this.sharedProcessorPoolID = sharedProcessorPoolID;
    }

    public String getUncappedWeight() {
        return uncappedWeight;
    }

    public void setUncappedWeight(String uncappedWeight) {
        this.uncappedWeight = uncappedWeight;
    }

    @Override
    public String toString() {
        return "SharedProcessorConfiguration [metadata=" + metadata + ", desiredProcessingUnits="
            + desiredProcessingUnits + ", desiredVirtualProcessors=" + desiredVirtualProcessors
            + ", maximumProcessingUnits=" + maximumProcessingUnits + ", maximumVirtualProcessors="
            + maximumVirtualProcessors + ", minimumProcessingUnits=" + minimumProcessingUnits
            + ", minimumVirtualProcessors=" + minimumVirtualProcessors + ", sharedProcessorPoolID="
            + sharedProcessorPoolID + ", uncappedWeight=" + uncappedWeight + "]";
    }
}
